
#clear everything, just to be safe 
rm(list=ls(all=TRUE))


#Load packages
require("reshape2")
require("arm")
require("lattice")
require("jpeg")
require('gridExtra')



user <- Sys.info()['user']
directory <- paste("C:/Users/",user,"/Box/Bassar Docs/Science/Projects/Current/IGP and Cannibalism/Analyses",sep='')
setwd(directory)


#============================
#Load scenario
#============================

filename <- paste("./Results/","IGP Results uni eta0.15.RData",sep='')
load(filename)

#============================
#plots functional responses
#============================


x <- z 
sizes <- array(0,c(n,n))
for (zi in 1:n){
  for (yi in zi:n){
    if((x[yi]-z[zi])>pred.size.lag){
      sizes[zi,yi] <- x[yi] - z[zi] - pred.size.lag
    }
  }
}


surface <- array(NA,c(n,n))
dimnames(surface) <- list(z,z)


c11 <- 0.5


gamma <- (1-exp(-(c11*sizes)^2))



N <- Eq.N[1,e,pdelta2,d.pphi2z,ptheta2,pc2,prhoz,]
surface[,] <- rho.pred*gamma 











jpeg(file = "./Figures/Figure 1.jpeg",width = 6.5, height = 5, units='in', res=600)
pdf(file = "./Figures/Figure1pdf.pdf",width = 7, height = 5,useDingbats=TRUE)

levelplot(t(surface[c(nrow(surface):1),]),
          colorkey=TRUE,
          contour=TRUE,
          col.regions=rev(heat.colors(100)),
          scales = list(tck = c(1,0),cex=1,x=list(at=which(z%in%seq(5,35,by=5))),y=list(at=which(rev(z)%in%seq(5,35,by=5)))),
          xlab=list(label=expression(Predator~Size~"(mm)"),cex=1),
          ylab=list(label=expression(Prey~Size~"(mm)"),cex=1))#,par.settings = theme.novpadding.right)
dev.off()
















